Skip to main content
GET
/
v3
/
alert-rules
/
{alert_id}
/
notification
Returns notification for the given Alert Rule id
curl --request GET \
  --url https://{host}/v3/alert-rules/{alert_id}/notification \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "emails": [
      "<string>"
    ],
    "pagerduty_services": [
      "<string>"
    ],
    "pagerduty_severity": "<string>",
    "webhooks": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Response

Notification Details

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object